You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@camel.apache.org by dj...@apache.org on 2021/12/16 16:20:29 UTC

[camel-kafka-connector] branch main updated (4d9287c -> 873bb1c)

This is an automated email from the ASF dual-hosted git repository.

djencks pushed a change to branch main
in repository https://gitbox.apache.org/repos/asf/camel-kafka-connector.git.


    from 4d9287c  Updated CHANGELOG.md
     new 582d0e3  local indexPages config
     new 873bb1c  local/partial build setup

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 docs/indexPages.yml                                | 14 ++++++++
 .../workflows/backport.yml => docs/local-build.sh  | 39 +++++++++++-----------
 .asf.yaml => docs/source-map.yml                   | 20 +++++------
 .../backport.yml => docs/source-watch.yml          | 36 +++++++++-----------
 4 files changed, 57 insertions(+), 52 deletions(-)
 create mode 100644 docs/indexPages.yml
 copy .github/workflows/backport.yml => docs/local-build.sh (55%)
 mode change 100644 => 100755
 copy .asf.yaml => docs/source-map.yml (73%)
 copy .github/workflows/backport.yml => docs/source-watch.yml (61%)

[camel-kafka-connector] 01/02: local indexPages config

Posted by dj...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

djencks pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/camel-kafka-connector.git

commit 582d0e334d3a94f1172fa35275904107952c7904
Author: David Jencks <dj...@apache.org>
AuthorDate: Wed Dec 15 21:31:45 2021 -0800

    local indexPages config
---
 docs/indexPages.yml | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/docs/indexPages.yml b/docs/indexPages.yml
new file mode 100644
index 0000000..682ec4e
--- /dev/null
+++ b/docs/indexPages.yml
@@ -0,0 +1,14 @@
+indexPages:
+  - query:
+      module: ROOT
+      family: example
+      relative: json/*
+    template-id:
+      family: example
+      relative: template/connector-options.adoc
+    extract:
+      - path: 'src.relative'
+        match: 'json/camel-(?<basename>*)-kafka-(?<type>source|sink)-connector.json'
+    target:
+      match: 'json/(?<body>*).json'
+      format: '`reference/connectors/${body}.adoc`'

[camel-kafka-connector] 02/02: local/partial build setup

Posted by dj...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

djencks pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/camel-kafka-connector.git

commit 873bb1c7e49e5ea4899b27696f72e2679768121d
Author: David Jencks <dj...@apache.org>
AuthorDate: Wed Dec 15 21:32:12 2021 -0800

    local/partial build setup
---
 docs/local-build.sh   | 37 +++++++++++++++++++++++++++++++++++++
 docs/source-map.yml   | 25 +++++++++++++++++++++++++
 docs/source-watch.yml | 34 ++++++++++++++++++++++++++++++++++
 3 files changed, 96 insertions(+)

diff --git a/docs/local-build.sh b/docs/local-build.sh
new file mode 100755
index 0000000..46bdf28
--- /dev/null
+++ b/docs/local-build.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+CW=./../../camel-website
+LOCAL=./../camel-kafka-connector
+
+cd $CW || (echo 'camel-website not in expected location $CW' && exit)
+cp antora-playbook.yml local-antora-playbook-full.yml
+cat $LOCAL/docs/source-map.yml >> local-antora-playbook-full.yml
+cat playbook-patch-full.yml >> local-antora-playbook-full.yml
+
+cp antora-playbook.yml local-antora-playbook-partial.yml
+cat $LOCAL/docs/source-map.yml >> local-antora-playbook-partial.yml
+cat $LOCAL/docs/source-watch.yml >> local-antora-playbook-partial.yml
+
+if [ "$1" = "full" ] || [ "$1" = "1" ]
+then
+  yarn build:antora-local-full
+else
+  yarn build:antora-local-partial
+fi
\ No newline at end of file
diff --git a/docs/source-map.yml b/docs/source-map.yml
new file mode 100644
index 0000000..c50d804
--- /dev/null
+++ b/docs/source-map.yml
@@ -0,0 +1,25 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+    - require: '@djencks/antora-source-map'
+#      log_level: trace
+      source-map:
+        - url: 'https://github.com/apache/camel-kafka-connector.git'
+          mapped-url: './../camel-kafka-connector'
+          branches:
+            - branch: main
+              mapped-branch: HEAD
diff --git a/docs/source-watch.yml b/docs/source-watch.yml
new file mode 100644
index 0000000..e03193c
--- /dev/null
+++ b/docs/source-watch.yml
@@ -0,0 +1,34 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+    - require: '@djencks/antora-source-watch'
+#      log_level: trace
+      sources:
+        - url: ./../camel-kafka-connector
+          component: camel-kafka-connector
+          version: next
+
+    - require: "@djencks/antora-site-manifest"
+      import-manifests:
+        - primary-site-manifest-url: ./documentation/site-manifest.json
+      partial-components: true
+      local-urls: true
+
+    - require: '@djencks/antora-timer'
+      log_level: info
+
+  generator: '@djencks/antora-source-watch'
\ No newline at end of file